Package ru.bitel.bgbilling.modules.voice.common.bean

# Class AbtractVoiceAccount

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.voice.common.bean.AbtractVoiceAccount

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `VoiceAccount`, `VoiceOperAccount`

public class AbtractVoiceAccount extends Entity implements ContractIdable

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbtractVoiceAccount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyTo(AbtractVoiceAccount abtractVoiceAccount)`
  `String`
  `getContractComment()`
  Получение строки с комментарием договора
  `int`
  `getContractId()`
  Получение кода договора, к которому привязан данный аккаунт
  `String`
  `getContractTitle()`
  Получение названия договора
  `Date`
  `getDateFrom()`
  Получение даты начала действия аккаунта
  `Date`
  `getDateTo()`
  Получение даты окончания действия аккаунта.
  `int`
  `getDeviceId()`
  Получение кода устройства, к которому привязан аккаунт.
  `int`
  `getObjectId()`
  ID объекта договора
  `int`
  `getTypeId()`
  Получение кода типа аккаунта
  `AbtractVoiceAccount`
  `setContractComment(String contractComment)`
  Установка комментария договора
  `AbtractVoiceAccount`
  `setContractId(int contractId)`
  Установка кода договора для аккаунта
  `AbtractVoiceAccount`
  `setContractTitle(String contractTitle)`
  Установка названия договора
  `AbtractVoiceAccount`
  `setDateFrom(Date dateFrom)`
  Установка даты начала действия аккаунта.
  `AbtractVoiceAccount`
  `setDateTo(Date dateTo)`
  Установка даты окончания действия аккаунта.
  `AbtractVoiceAccount`
  `setDeviceId(int deviceId)`
  Установка кода устройства, к которому привязывается аккаунт
  `AbtractVoiceAccount`
  `setObjectId(int objectId)`
  `AbtractVoiceAccount`
  `setTypeId(int typeId)`
  Установка кода типа аккаунта

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### AbtractVoiceAccount

    public AbtractVoiceAccount()

- ## Method Details

  - ### copyTo

    public void copyTo(AbtractVoiceAccount abtractVoiceAccount)

  - ### getContractComment

    public String getContractComment()
    Получение строки с комментарием договора
    Returns:
      комментарий договора

  - ### getContractId

    public int getContractId()
    Получение кода договора, к которому привязан данный аккаунт
    Specified by:
      `getContractId` in interface `ContractIdable`
    Returns:
      код договора

  - ### getContractTitle

    public String getContractTitle()
    Получение названия договора
    Returns:
      название договора

  - ### getDateFrom

    public Date getDateFrom()
    Получение даты начала действия аккаунта
    Returns:
      дата начала действия аккаунта

  - ### getDateTo

    public Date getDateTo()
    Получение даты окончания действия аккаунта.
    Returns:
      дата окончания действия аккаунта

  - ### getDeviceId

    public int getDeviceId()
    Получение кода устройства, к которому привязан аккаунт.
    Returns:
      код устройства

  - ### getObjectId

    public int getObjectId()
    ID объекта договора
    Returns:

  - ### getTypeId

    public int getTypeId()
    Получение кода типа аккаунта
    Returns:
      код типа аккаунта

  - ### setContractComment

    public AbtractVoiceAccount setContractComment(String contractComment)
    Установка комментария договора
    Parameters:
      `contractComment` -

  - ### setContractId

    public AbtractVoiceAccount setContractId(int contractId)
    Установка кода договора для аккаунта
    Parameters:
      `contractId` - код договора

  - ### setContractTitle

    public AbtractVoiceAccount setContractTitle(String contractTitle)
    Установка названия договора
    Parameters:
      `contractTitle` - название договора

  - ### setDateFrom

    public AbtractVoiceAccount setDateFrom(Date dateFrom)
    Установка даты начала действия аккаунта.
    Parameters:
      `dateFrom` - дата начала действия аккаунта

  - ### setDateTo

    public AbtractVoiceAccount setDateTo(Date dateTo)
    Установка даты окончания действия аккаунта.
    Parameters:
      `dateTo` - дата окончания действия аккаунта

  - ### setDeviceId

    public AbtractVoiceAccount setDeviceId(int deviceId)
    Установка кода устройства, к которому привязывается аккаунт
    Parameters:
      `deviceId` - код устройства

  - ### setObjectId

    public AbtractVoiceAccount setObjectId(int objectId)

  - ### setTypeId

    public AbtractVoiceAccount setTypeId(int typeId)
    Установка кода типа аккаунта
    Parameters:
      `typeId` - код типа аккаунта